PDFNull (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.pdf

## Class PDFNull

- java.lang.Object
- - org.apache.fop.pdf.PDFNull

- All Implemented Interfaces:
    PDFWritable

      public final class PDFNull
      extends java.lang.Object
      implements PDFWritable

  Class representing a PDF name object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PDFNull` | `INSTANCE` Instance for the "null" object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `outputInline(java.io.OutputStream out, java.lang.StringBuilder textBuffer)` Writes a "direct object" (inline object) representation to the stream.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final PDFNull INSTANCE

      Instance for the "null" object.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### outputInline

          public void outputInline(java.io.OutputStream out,
                                   java.lang.StringBuilder textBuffer)
                            throws java.io.IOException

      Writes a "direct object" (inline object) representation to the stream. A text buffer is given for optimized encoding of text content.

      IMPORTANT: If you need to write out binary output, call `PDFDocument.flushTextBuffer(StringBuilder, OutputStream)` before writing any content to the `OutputStream`!

      Specified by:
        `outputInline` in interface `PDFWritable`
      Parameters:
        `out` - the OutputStream (for binary content)
        `textBuffer` - the text buffer for text content
      Throws:
        `java.io.IOException` - if an I/O error occurs

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.